const { MessageEmbed } = require("discord.js");
const { client } = require("..");
const prefix = process.env.BOT_PREFIX || '-';

module.exports.meta = {
    name: 'help',
    aliases: ['info'],
    staffOnly: false
}

/**
 * 
 * @param {Discord.Message} message 
 * @param {Array<string>} args 
 */
module.exports.run = async (message, args) => {
    let embed = new MessageEmbed()
        .setTitle('Obama bot')
        .setDescription(`Epic obama bot help`)
        
    addCmd(embed, 'obamium', 'Spawn obamium');
    addCmd(embed, 'vbucks', 'Get free vbucks');
    addCmd(embed, 'ping', 'Show the bot\'s ping');
    addCmd(embed, 'coins', 'See how much karma/coins you have');
    addCmd(embed, 'top', 'Karma leaderboard');
    addCmd(embed, 'setcoins', '[Staff command] Manage a user\'s coins')
    
    embed.addField('\u200b', `This bot was made by \`${client.users.cache.get('284323826165350400')?.tag}\`.\nCheck out the source code [here](https://gitea.janderedev.xyz/Jan/obama-bot "Click me!").`, false);
    
    message.channel.send(embed);
}

/**
 * 
 * @param {MessageEmbed} embed 
 * @param {string} cmd 
 * @param {string} text 
 */
function addCmd(embed, cmd, text) {
    embed.addField(`${prefix}${cmd}`, text, true);
}